Bug 3952 - number of print jobs is increasing without printing
number of print jobs is increasing without printing
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.23a
x86 Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-22 19:36 UTC by Thomas Bork
Modified: 2012-01-09 10:41 UTC (History)
3 users (show)

See Also:


Attachments
log with debug level 10 (174.37 KB, text/plain)
2006-07-22 19:46 UTC, Thomas Bork
no flags Details
log with debug level 10 (174.37 KB, application/octet-stream)
2006-07-22 19:49 UTC, Thomas Bork
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Bork 2006-07-22 19:36:47 UTC
If looking in the "printers and faxes" folder on the samba server, I can see an amount of documents in the colum "documents", but I know, there are no documents to print:

printers and faxes on deveis

name        documents    status        comment
add printer
laserjet    4        ready        laserjet on deveis
pdf         4        ready        laserjet on deveis

If waiting some time, the amount of documents reduces from 4 to zero.
If going back to \\deveis and some time later time to "printers and faxes", there are again 4 non existant documents to print for each printer.
Sometimes only one printer has 4 documents to print and the other zero or one has 4 and the other one 3.
If changing fast between "\\deveis" and "printers and faxes", the amount of documents is increasing with 4:


name        documents    status        comment
add printer
laserjet    4        ready        laserjet on deveis
pdf         4        ready        laserjet on deveis
...
name        documents    status        comment
add printer
laserjet    8        ready        laserjet on deveis
pdf         8        ready        laserjet on deveis
...

And so on.


[global]
...
printing = lprng
 print command = chmod 666 %s; name="`echo '%J' | sed "s/^.*- //"`"; if [ -z "$name" ]; then name="%s"; fi; /usr/bin/lpr -P%p -J"$name" %s; rm %s
 lpq command = /usr/bin/lpq -P%p -L
 lprm command = /usr/bin/lprm -P%p %j
 lppause command = /usr/sbin/lpc hold %p %j
 lpresume command = /usr/sbin/lpc release %p %j
 queuepause command = /usr/sbin/lpc stop %p
 queueresume command = /usr/sbin/lpc start %p
 printcap name = /etc/printcap
 load printers = no
...

[laserjet]
 comment = laserjet on %h
 printing = lprng
 print command = chmod 666 %s; name="`echo '%J' | sed "s/^.*- //"`"; if [ -z "$name" ]; then name="%s"; fi; /usr/bin/lpr -P%p -J"$name" %s; rm %s
 lpq command = /usr/bin/lpq -P%p -L
 lprm command = /usr/bin/lprm -P%p %j
 lppause command = /usr/sbin/lpc hold %p %j
 lpresume command = /usr/sbin/lpc release %p %j
 queuepause command = /usr/sbin/lpc stop %p
 queueresume command = /usr/sbin/lpc start %p
 use client driver = yes
 browseable = yes
 printable = yes
 path = /var/spool/samba
 printer = pr1
 valid users = +users tb
 create mode = 0700

[pdf]
 comment = pdf default on %h
 printing = bsd
 print command = ( /var/install/bin/samba-print-pdf '%s' '%J' '%H' '//%L/%u' '%m' '%I' '%u' '-dPDFSETTINGS=/default' '-sOwnerPassword=xxx' '-sUserPassword=' '-dPermissions=-8' 'mail' 'no' ) &
 lpq command = /var/install/bin/samba-print-pdf status
 use client driver = yes
 browseable = yes
 printable = yes
 path = /var/spool/samba
 create mode = 0700


From /var/install/bin/samba-print-pdf:

if [ "$1" = "status" ]
then
    echo "Printer: PDF-generator bogus status"
    echo "Queue: no printable jobs in queue"
    echo "Server: no server active"
    echo "Filter_status: done"
    echo "Rank  Owner/ID             Class Job Files    Size Time"
    exit 0
fi


Pushed this till 8 jobs per printer and waited till zero jobs - without printing ;)

deveis # grep 'jobs' /public/log.smbd
  print_queue_update_internal: 0 jobs in queue for laserjet
  print_queue_update_internal: printer laserjet INFO/total_jobs = 0
      004c jobs: 00000000
      00a0 jobs: 00000000
  print_job_start: Queue laserjet number of jobs (0), max printjobs = 1000
[2006/07/23 02:24:19, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 65
[2006/07/23 02:24:19, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 65
  print_job_start: Queue laserjet number of jobs (1), max printjobs = 1000
[2006/07/23 02:24:19, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 66
[2006/07/23 02:24:19, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 66
  print_job_start: Queue laserjet number of jobs (2), max printjobs = 1000
[2006/07/23 02:24:19, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 67
[2006/07/23 02:24:19, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 67
  print_job_start: Queue laserjet number of jobs (3), max printjobs = 1000
[2006/07/23 02:24:19, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 68
[2006/07/23 02:24:19, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 68
  print_job_start: Queue pdf number of jobs (0), max printjobs = 1000
[2006/07/23 02:24:19, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 65
[2006/07/23 02:24:19, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 65
  print_job_start: Queue pdf number of jobs (1), max printjobs = 1000
[2006/07/23 02:24:19, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 66
[2006/07/23 02:24:19, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 66
  print_job_start: Queue pdf number of jobs (2), max printjobs = 1000
[2006/07/23 02:24:19, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 67
[2006/07/23 02:24:19, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 67
  print_job_start: Queue pdf number of jobs (3), max printjobs = 1000
[2006/07/23 02:24:19, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 68
[2006/07/23 02:24:19, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 68
      004c jobs: 00000004
      00a0 jobs: 00000004
  print_job_start: Queue laserjet number of jobs (4), max printjobs = 1000
[2006/07/23 02:24:21, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 69
[2006/07/23 02:24:21, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 69
  print_job_start: Queue laserjet number of jobs (5), max printjobs = 1000
[2006/07/23 02:24:21, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 70
[2006/07/23 02:24:21, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 70
  print_job_start: Queue laserjet number of jobs (6), max printjobs = 1000
[2006/07/23 02:24:21, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 71
[2006/07/23 02:24:21, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 71
  print_job_start: Queue laserjet number of jobs (7), max printjobs = 1000
[2006/07/23 02:24:21, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 72
[2006/07/23 02:24:21, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 72
  print_job_start: Queue pdf number of jobs (4), max printjobs = 1000
[2006/07/23 02:24:21, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 69
[2006/07/23 02:24:21, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 69
  print_job_start: Queue pdf number of jobs (5), max printjobs = 1000
[2006/07/23 02:24:21, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 70
[2006/07/23 02:24:21, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 70
  print_job_start: Queue pdf number of jobs (6), max printjobs = 1000
[2006/07/23 02:24:21, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 71
[2006/07/23 02:24:21, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 71
  print_job_start: Queue pdf number of jobs (7), max printjobs = 1000
[2006/07/23 02:24:21, 10] printing/printing.c:add_to_jobs_changed(2297)
  add_to_jobs_changed: Added jobid 72
[2006/07/23 02:24:21, 10] printing/printing.c:remove_from_jobs_changed(1860)
  remove_from_jobs_changed: removed jobid 72
      004c jobs: 00000008
      00a0 jobs: 00000008
      004c jobs: 00000008
      00a0 jobs: 00000008
      004c jobs: 00000008
      00a0 jobs: 00000008
  print_queue_update_internal: 0 jobs in queue for laserjet
  print_queue_update_internal: printer laserjet INFO/total_jobs = 0
  print_queue_update_internal: 0 jobs in queue for pdf
  print_queue_update_internal: printer pdf INFO/total_jobs = 0
      004c jobs: 00000000
      00a0 jobs: 00000000
Comment 1 Thomas Bork 2006-07-22 19:46:14 UTC
Created attachment 2053 [details]
log with debug level 10
Comment 2 Thomas Bork 2006-07-22 19:49:44 UTC
Created attachment 2054 [details]
log with debug level 10
Comment 3 Andreas Schneider 2012-01-09 10:41:26 UTC
This is probably fixed with a newer Samba version. If you still see the error. Please open a new bug with 'debug level = 10' logfiles of the new Samba version 3.5 or 3.6. Thanks!